from SpUD_io.utils import *

testStrings = ['"test"', "'test'", 'test', 'test"', '"test', "test'", "'test"]
expectedStrings = ['test', 'test', 'test', 'test"', '"test', "test'", "'test"]

for test_no, string in enumerate(testStrings):
    print(f'Test {test_no}: {'passed' if unquote(string) == expectedStrings[test_no] else 'failed'}')